<?php

namespace app\admin\validate\smart_devices;

use think\Validate;

class CategoryValidate extends Validate
{
    protected $rule = [
        'category_id' => 'require|integer',
        'category_pid' => 'require|integer',
        'category_name' => 'require|max:150',
        'category_level' => 'integer|max:1'
    ];

    protected $message = [];

    protected $scene = [
        'add' => ['category_pid', 'category_name', 'category_level'],
        'update' => ['category_id', 'category_pid', 'category_name', 'category_level']
    ];
}